package com.hfkj.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * bs_discount_user_give_record
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class BsDiscountUserGiveRecord implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 用户优惠券id
     */
    private Long discountUserId;

    /**
     * 优惠券库存code
     */
    private Long discountStockCode;

    /**
     * 发送用户id
     */
    private Long sendUserId;

    /**
     * 发送用户电话
     */
    private String sendUserPhone;

    /**
     * 接收用户id
     */
    private Long receiveUserId;

    /**
     * 接收用户电话
     */
    private String receiveUserPhone;

    /**
     * 创建时间
     */
    private Date createTime;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getDiscountUserId() {
        return discountUserId;
    }

    public void setDiscountUserId(Long discountUserId) {
        this.discountUserId = discountUserId;
    }

    public Long getDiscountStockCode() {
        return discountStockCode;
    }

    public void setDiscountStockCode(Long discountStockCode) {
        this.discountStockCode = discountStockCode;
    }

    public Long getSendUserId() {
        return sendUserId;
    }

    public void setSendUserId(Long sendUserId) {
        this.sendUserId = sendUserId;
    }

    public String getSendUserPhone() {
        return sendUserPhone;
    }

    public void setSendUserPhone(String sendUserPhone) {
        this.sendUserPhone = sendUserPhone;
    }

    public Long getReceiveUserId() {
        return receiveUserId;
    }

    public void setReceiveUserId(Long receiveUserId) {
        this.receiveUserId = receiveUserId;
    }

    public String getReceiveUserPhone() {
        return receiveUserPhone;
    }

    public void setReceiveUserPhone(String receiveUserPhone) {
        this.receiveUserPhone = receiveUserPhone;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        BsDiscountUserGiveRecord other = (BsDiscountUserGiveRecord) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getDiscountUserId() == null ? other.getDiscountUserId() == null : this.getDiscountUserId().equals(other.getDiscountUserId()))
            && (this.getDiscountStockCode() == null ? other.getDiscountStockCode() == null : this.getDiscountStockCode().equals(other.getDiscountStockCode()))
            && (this.getSendUserId() == null ? other.getSendUserId() == null : this.getSendUserId().equals(other.getSendUserId()))
            && (this.getSendUserPhone() == null ? other.getSendUserPhone() == null : this.getSendUserPhone().equals(other.getSendUserPhone()))
            && (this.getReceiveUserId() == null ? other.getReceiveUserId() == null : this.getReceiveUserId().equals(other.getReceiveUserId()))
            && (this.getReceiveUserPhone() == null ? other.getReceiveUserPhone() == null : this.getReceiveUserPhone().equals(other.getReceiveUserPhone()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getDiscountUserId() == null) ? 0 : getDiscountUserId().hashCode());
        result = prime * result + ((getDiscountStockCode() == null) ? 0 : getDiscountStockCode().hashCode());
        result = prime * result + ((getSendUserId() == null) ? 0 : getSendUserId().hashCode());
        result = prime * result + ((getSendUserPhone() == null) ? 0 : getSendUserPhone().hashCode());
        result = prime * result + ((getReceiveUserId() == null) ? 0 : getReceiveUserId().hashCode());
        result = prime * result + ((getReceiveUserPhone() == null) ? 0 : getReceiveUserPhone().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", discountUserId=").append(discountUserId);
        sb.append(", discountStockCode=").append(discountStockCode);
        sb.append(", sendUserId=").append(sendUserId);
        sb.append(", sendUserPhone=").append(sendUserPhone);
        sb.append(", receiveUserId=").append(receiveUserId);
        sb.append(", receiveUserPhone=").append(receiveUserPhone);
        sb.append(", createTime=").append(createTime);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}